package com.ruoyi.system.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 广告历史对象 b_poster_history
 *
 * @author ruoyi
 * @date 2023-11-21
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class BPosterHistory extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 商户id
     */
    private Long shanghuId;

    /**
     * 商户名称
     */
    @Excel(name = "商户名称")
    private String posName;

    /**
     * 手机号
     */
    @Excel(name = "手机号")
    private String phoneNumber;

    /**
     * 联系人
     */
    @Excel(name = "联系人")
    private String linkMan;

    /**
     * 城市
     */
    @Excel(name = "城市")
    private String city;

    /**
     * 地址信息
     */
    @Excel(name = "地址信息")
    private String address;

    /**
     * 广告id
     */
    @Excel(name = "广告id")
    private Long posterId;

    /**
     * 广告名称
     */
    @Excel(name = "广告名称")
    private String posterName;

    /**
     * 有效起始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "有效起始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /**
     * 有效结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "有效结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endTime;

    /**
     * 视频路径
     */
    @Excel(name = "视频路径")
    private String videoPath;

    /**
     * 视频封面
     */
    @Excel(name = "视频封面")
    private String videoLogo;
}
